Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Global Way to enable Portfast?

I need to enable portfast on about 100 switches in different buildings. What is the fastest way. Even if I could do a whole switch at once.

thanks

6 REPLIES
New Member

Re: Global Way to enable Portfast?

Hi

IOS:

Switch(config)# spanning-tree portfast bpduguard default

(All ports that have PortFast enabled also have BPDU guard automatically enabled. )

CatOS:

set spantree portfast bpdu-guard enable

New Member

Re: Global Way to enable Portfast?

thanks,

Is there any way from Network Assistant? If not I'll use the command line.

Gary

Re: Global Way to enable Portfast?

All ports can be configured for portfast on a single switch with the command given in the above post.

To have it on all the switches, use something like the netconfigs on the Cisco works

HTH

Narayan

New Member

Re: Global Way to enable Portfast?

Sorry Gary,

I have not used Network Assistant.

I pretty sure Cisco Works can do batch type work and a lot more. See if you can Google "Kiwi Cat tools" -a free download for management.

IMO 100 isn't too much, a pain yes but not too many providing you don't have a tight change window etc.

hth, please rate

Erik

New Member

Re: Global Way to enable Portfast?

Hi,

on all the switches for exception of the 3500XL series, you can use the "int range" command. for instance:

config t

int range fa0/1 - 24(48)

span portfast

This will enable portfast on all ports 1 through 24 or 48. it's the fastest way.

you can use a script from CiscoWorks or 3rd Party app to make the changes Automated.

I hope this helps

New Member

Re: Global Way to enable Portfast?

I am ordering the latest CiscoWorks Small Business 1.5.1 version. I will wait until then. I need to get my Ciscos in shape as I need to push out the latest IOS images etc. I have 1.5 but it won't run on a 2003 server and Cisco isn't progressive enough that you can download and use an updater.

Gary

259
Views
0
Helpful
6
Replies